> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mottostreaming.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get annotation type

> GetAnnotationType

 Returns an annotation type



## OpenAPI

````yaml get /annotations/types/v1/{type_id}
openapi: 3.0.3
info:
  title: Studio API - Motto
  version: 0.0.0
servers:
  - url: https://api.mottostreaming.com
    description: Production server
security:
  - BearerAuth: []
tags:
  - name: AccountService
    description: Account management service
  - name: ActionConfigurationService
    description: Action configuration service definition
  - name: ActionSecretService
    description: Action type service definition
  - name: ActionService
    description: Action service definition
  - name: ActionTypeService
    description: Action type service definition
  - name: ActivityService
    description: Activity service definition
  - name: AdService
    description: Ad management service.
  - name: AnnotationService
    description: Annotation service definition
  - name: AnnotationSetService
    description: Annotation service definition
  - name: AnnotationTypeService
    description: Annotation service definition
  - name: AssetService
    description: Asset management service.
  - name: AuthService
    description: Auth service definition
  - name: BannerService
    description: Banner service definition
  - name: BannerV2Service_v2
    description: Banner service definition
  - name: CleengService
    description: CleengService service definition
  - name: ClipService
    description: ClipService is the service that handles Clip operations.
  - name: ConfigurationService
    description: >-
      Configuration management service. These configurations allow modifying the
      behavior of streams, uploads, simulcasts, etc.
  - name: ContentTypeService
    description: ContentType service definition
  - name: CreativeWorkService
    description: CreativeWork service definition
  - name: EntitlementService
    description: Entitlement service definition
  - name: EntityService
    description: Entity service definition
  - name: EventService
    description: Event service definition
  - name: FileService
    description: OTT files management.
  - name: IngestService
    description: Ingest management service.
  - name: IngestService_v2
    description: Ingest management service.
  - name: LiveStreamService
    description: LiveStream management service.
  - name: LiveStreamService_v2
    description: LiveStream management service.
  - name: OfferService
    description: Offer service definition
  - name: OrganizationService
    description: Organization management service.
  - name: PageService
    description: Page service definition
  - name: PlatformService
    description: Platform service definition
  - name: PlaylistService
    description: Playlist management service.
  - name: ProjectService
    description: Project management service.
  - name: SimulcastService
    description: Simulcast management service.
  - name: SlugService
    description: Slug service definition
  - name: SpiideoService
    description: SpiideoService service definition
  - name: StandingService
    description: Standing service definition
  - name: StitcherService
    description: StitcherService is the service that handles stitching operations.
  - name: StripeService
    description: StripeService service definition
  - name: SubscriptionService
    description: Subscription service definition
  - name: SubtitleService
    description: SubtitleService is the service that handles Subtitle operations.
  - name: TransactionService
    description: Transaction service definition
  - name: UploadService
    description: Upload management service.
  - name: UsageService
    description: The UsageService provides methods to retrieve usage data for SKUs.
  - name: UserService
    description: User management service
  - name: VODService
    description: VODService is the service that handles VOD operations.
  - name: VODService_v2
    description: VODService is the service that handles VOD operations.
  - name: VideoProtectionService
    description: VideoProtection management service.
  - name: VideoProtectionService_v2
    description: VideoProtection management service.
  - name: VideoService
    description: Video management service.
paths:
  /annotations/types/v1/{type_id}:
    get:
      tags:
        - AnnotationTypeService
      description: |-
        GetAnnotationType

         Returns an annotation type
      operationId: AnnotationTypeService_GetAnnotationType
      parameters:
        - name: type_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/motto.annotations.type.v1.GetAnnotationTypeResponse
        default:
          description: Default error response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/google.rpc.Status'
components:
  schemas:
    motto.annotations.type.v1.GetAnnotationTypeResponse:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/motto.annotations.type.v1.AnnotationType'
    google.rpc.Status:
      type: object
      properties:
        code:
          type: integer
          description: >-
            The status code, which should be an enum value of
            [google.rpc.Code][google.rpc.Code].
          format: int32
        message:
          type: string
          description: >-
            A developer-facing error message, which should be in English. Any
            user-facing error message should be localized and sent in the
            [google.rpc.Status.details][google.rpc.Status.details] field, or
            localized by the client.
        details:
          type: array
          items:
            $ref: '#/components/schemas/google.protobuf.Any'
          description: >-
            A list of messages that carry the error details.  There is a common
            set of message types for APIs to use.
      description: >-
        The `Status` type defines a logical error model that is suitable for
        different programming environments, including REST APIs and RPC APIs. It
        is used by [gRPC](https://github.com/grpc). Each `Status` message
        contains three pieces of data: error code, error message, and error
        details. You can find out more about this error model and how to work
        with it in the [API Design
        Guide](https://cloud.google.com/apis/design/errors).
    motto.annotations.type.v1.AnnotationType:
      required:
        - project_id
        - set_id
        - name
      type: object
      properties:
        id:
          readOnly: true
          type: string
          description: System generated unique identifier for the annotation type.
        project_id:
          type: string
        set_id:
          type: string
          description: >-
            The ID of the set this annotation type belongs to. This is used to
            group annotation types together.
             For example, if the `id` field is set to `goal`, the set ID might be set to `football`. Another annotation type
             `corner_kick` might belong to the same set.
             This should not be confused with the `group_name` field, which is used to group annotation types in the UI
             (within a single set).
        name:
          type: string
          description: The name of the annotation type.
        icon_asset_id:
          type: string
          description: The asset ID of the icon. Can be left empty to show no icon.
        priority:
          type: string
          description: >-
            The priority determines the order in which the annotation types are
            shown in the UI. A higher value means it shows
             up earlier in the list.
             Note: this also determines the order of the groups in the list response.
             The groups are ordered by the highest priority of the first element in each group.
        group_name:
          type: string
          description: >-
            The group name is used to group annotation types in the UI. For
            example, all annotation types related to
             time-keeping (like `kickoff`, `half_time` or `full_time`) might be grouped under the group name "Time". This
             can be any name you'd like to assign to it.
        disabled:
          type: boolean
          description: >-
            Whether the annotation type should be shown in the tagging UI of the
            Studio.
        visibility:
          type: object
          additionalProperties:
            enum:
              - VISIBILITY_UNSPECIFIED
              - VISIBILITY_PUBLISHED
              - VISIBILITY_UNLISTED
              - VISIBILITY_HIDDEN
            type: string
            format: enum
          description: >-
            The default visibility of annotations of this type towards end
            users.
             This is a map, where the key is the `annotation.v1.SourceType` enum's integer representation.
             If the map is not set, or keys are missing, `published` will be used as the default visibility for that source type.
             This visibility will be overridden by the visibility on the annotation type or on the annotation itself, if both are set
             to a non-unspecified value.
             This visibility takes precedence over the default_visibility as defined on the annotation set, if both are set
             to a non-unspecified value.
        delay:
          type: string
          description: |-
            Optional.
             The number of milliseconds to wait before an annotation of this type starts triggering associated actions.
             It is recommended to set this to a value that is high enough to allow for Studio operators to delete the annotation
             in case of a mistaken click on an annotation.
             Important: this is only a hint to the UI client (the client is responsible for handling the delay).
        custom_data:
          type: object
          additionalProperties:
            type: string
          description: |-
            Optional.
             Data that can be used to store additional information about the annotation type. This can be useful
             to communicate additional information to downstream systems that want to act on annotations of this type
             (e.g. to render overlays in a video).
        entity_types:
          type: array
          items:
            type: string
          description: |-
            Optional.
             The CMS entity types that are associated with annotations of this type. For example, if your annotation type is
             "goal", you might want to associate it with the entity type "team".
             The Motto Studio (or another custom-built client) will use this information to show a dialog to the tagger
             to provide this information when the annotation is created. This information can then be used in downstream
             services.

             Important: Make sure that such an entity type exists in the CMS, first.
        kind:
          enum:
            - KIND_UNSPECIFIED
            - KIND_SOCCER_GOAL
            - KIND_SOCCER_CORNER_KICK
            - KIND_SOCCER_FREE_KICK
            - KIND_SOCCER_PENALTY_KICK
            - KIND_SOCCER_THROW_IN
            - KIND_SOCCER_FOUL
            - KIND_SOCCER_YELLOW_CARD
            - KIND_SOCCER_RED_CARD
            - KIND_SOCCER_SUBSTITUTION
            - KIND_SOCCER_KICKOFF
            - KIND_SOCCER_HALF_TIME
            - KIND_SOCCER_FULL_TIME
            - KIND_SOCCER_EXTRA_TIME
            - KIND_SOCCER_OVER_TIME
            - KIND_SOCCER_PENALTY_SHOOTOUT
            - KIND_SOCCER_MATCH_END
            - KIND_AMERICAN_FOOTBALL_TOUCHDOWN
            - KIND_AMERICAN_FOOTBALL_FIELD_GOAL
            - KIND_AMERICAN_FOOTBALL_SAFETY
            - KIND_AMERICAN_FOOTBALL_KICKOFF
            - KIND_AMERICAN_FOOTBALL_PUNT
            - KIND_AMERICAN_FOOTBALL_FUMBLE
            - KIND_AMERICAN_FOOTBALL_INTERCEPTION
            - KIND_AMERICAN_FOOTBALL_FIRST_DOWN
            - KIND_AMERICAN_FOOTBALL_TIMEOUT
            - KIND_AMERICAN_FOOTBALL_END_OF_QUARTER
            - KIND_AMERICAN_FOOTBALL_END_OF_HALF
            - KIND_AMERICAN_FOOTBALL_END_OF_GAME
            - KIND_FUTSAL_GOAL
            - KIND_FUTSAL_CORNER_KICK
            - KIND_FUTSAL_FREE_KICK
            - KIND_FUTSAL_PENALTY_KICK
            - KIND_FUTSAL_THROW_IN
            - KIND_FUTSAL_FOUL
            - KIND_FUTSAL_YELLOW_CARD
            - KIND_FUTSAL_RED_CARD
            - KIND_FUTSAL_SUBSTITUTION
            - KIND_FUTSAL_KICKOFF
            - KIND_FUTSAL_HALF_TIME
            - KIND_FUTSAL_FULL_TIME
            - KIND_FUTSAL_EXTRA_TIME
            - KIND_FUTSAL_OVER_TIME
            - KIND_FUTSAL_PENALTY_SHOOTOUT
            - KIND_FUTSAL_MATCH_END
            - KIND_HANDBALL_GOAL
            - KIND_HANDBALL_FREE_THROW
            - KIND_HANDBALL_PENALTY_THROW
            - KIND_HANDBALL_THROW_IN
            - KIND_HANDBALL_FOUL
            - KIND_HANDBALL_YELLOW_CARD
            - KIND_HANDBALL_RED_CARD
            - KIND_HANDBALL_SUBSTITUTION
            - KIND_HANDBALL_KICKOFF
            - KIND_HANDBALL_HALF_TIME
            - KIND_HANDBALL_FULL_TIME
            - KIND_HANDBALL_EXTRA_TIME
            - KIND_HANDBALL_OVER_TIME
            - KIND_HANDBALL_PENALTY_SHOOTOUT
            - KIND_HANDBALL_MATCH_END
            - KIND_BASKETBALL_FIELD_GOAL
            - KIND_BASKETBALL_FREE_THROW
            - KIND_BASKETBALL_THREE_POINTER
            - KIND_BASKETBALL_FOUL
            - KIND_BASKETBALL_TIMEOUT
            - KIND_BASKETBALL_SUBSTITUTION
            - KIND_BASKETBALL_END_OF_QUARTER
            - KIND_BASKETBALL_END_OF_HALF
            - KIND_BASKETBALL_END_OF_GAME
            - KIND_VOLLEYBALL_POINT
            - KIND_VOLLEYBALL_SERVE
            - KIND_VOLLEYBALL_BLOCK
            - KIND_VOLLEYBALL_SPIKE
            - KIND_VOLLEYBALL_TIMEOUT
            - KIND_VOLLEYBALL_SUBSTITUTION
            - KIND_VOLLEYBALL_END_OF_SET
            - KIND_VOLLEYBALL_END_OF_MATCH
            - KIND_RUGBY_TRY
            - KIND_RUGBY_CONVERSION
            - KIND_RUGBY_PENALTY_GOAL
            - KIND_RUGBY_DROP_GOAL
            - KIND_RUGBY_FOUL
            - KIND_RUGBY_YELLOW_CARD
            - KIND_RUGBY_RED_CARD
            - KIND_RUGBY_SUBSTITUTION
            - KIND_RUGBY_KICKOFF
            - KIND_RUGBY_HALF_TIME
            - KIND_RUGBY_FULL_TIME
            - KIND_RUGBY_EXTRA_TIME
            - KIND_RUGBY_OVER_TIME
            - KIND_RUGBY_MATCH_END
            - KIND_RUGBY_SCRUM
            - KIND_RUGBY_LINEOUT
            - KIND_RUGBY_TURNOVER
            - KIND_CRICKET_RUN
            - KIND_CRICKET_WICKET
            - KIND_CRICKET_NO_BALL
            - KIND_CRICKET_WIDE_BALL
            - KIND_CRICKET_FOUR
            - KIND_CRICKET_SIX
            - KIND_CRICKET_OVER
            - KIND_CRICKET_INNINGS_BREAK
            - KIND_CRICKET_MATCH_END
            - KIND_BASEBALL_RUN
            - KIND_BASEBALL_HIT
            - KIND_BASEBALL_HOME_RUN
            - KIND_BASEBALL_STRIKE
            - KIND_BASEBALL_BALL
            - KIND_BASEBALL_OUT
            - KIND_BASEBALL_INNING_END
            - KIND_BASEBALL_MATCH_END
            - KIND_SOFTBALL_RUN
            - KIND_SOFTBALL_HIT
            - KIND_SOFTBALL_HOME_RUN
            - KIND_SOFTBALL_STRIKE
            - KIND_SOFTBALL_BALL
            - KIND_SOFTBALL_OUT
            - KIND_SOFTBALL_INNING_END
            - KIND_SOFTBALL_MATCH_END
            - KIND_FIELD_HOCKEY_GOAL
            - KIND_FIELD_HOCKEY_PENALTY_CORNER
            - KIND_FIELD_HOCKEY_FREE_HIT
            - KIND_FIELD_HOCKEY_FOUL
            - KIND_FIELD_HOCKEY_YELLOW_CARD
            - KIND_FIELD_HOCKEY_RED_CARD
            - KIND_FIELD_HOCKEY_SUBSTITUTION
            - KIND_FIELD_HOCKEY_KICKOFF
            - KIND_FIELD_HOCKEY_HALF_TIME
            - KIND_FIELD_HOCKEY_FULL_TIME
            - KIND_FIELD_HOCKEY_EXTRA_TIME
            - KIND_FIELD_HOCKEY_OVER_TIME
            - KIND_FIELD_HOCKEY_PENALTY_SHOOTOUT
            - KIND_FIELD_HOCKEY_MATCH_END
            - KIND_ICE_HOCKEY_GOAL
            - KIND_ICE_HOCKEY_PENALTY
            - KIND_ICE_HOCKEY_POWER_PLAY
            - KIND_ICE_HOCKEY_FOUL
            - KIND_ICE_HOCKEY_YELLOW_CARD
            - KIND_ICE_HOCKEY_RED_CARD
            - KIND_ICE_HOCKEY_SUBSTITUTION
            - KIND_ICE_HOCKEY_KICKOFF
            - KIND_ICE_HOCKEY_HALF_TIME
            - KIND_ICE_HOCKEY_FULL_TIME
            - KIND_ICE_HOCKEY_EXTRA_TIME
            - KIND_ICE_HOCKEY_OVER_TIME
            - KIND_ICE_HOCKEY_PENALTY_SHOOTOUT
            - KIND_ICE_HOCKEY_MATCH_END
            - KIND_BEACH_SOCCER_GOAL
            - KIND_BEACH_SOCCER_CORNER_KICK
            - KIND_BEACH_SOCCER_FREE_KICK
            - KIND_BEACH_SOCCER_PENALTY_KICK
            - KIND_BEACH_SOCCER_THROW_IN
            - KIND_BEACH_SOCCER_FOUL
            - KIND_BEACH_SOCCER_YELLOW_CARD
            - KIND_BEACH_SOCCER_RED_CARD
            - KIND_BEACH_SOCCER_SUBSTITUTION
            - KIND_BEACH_SOCCER_KICKOFF
            - KIND_BEACH_SOCCER_HALF_TIME
            - KIND_BEACH_SOCCER_FULL_TIME
            - KIND_BEACH_SOCCER_EXTRA_TIME
            - KIND_BEACH_SOCCER_OVER_TIME
            - KIND_BEACH_SOCCER_PENALTY_SHOOTOUT
            - KIND_BEACH_SOCCER_MATCH_END
            - KIND_BEACH_VOLLEYBALL_POINT
            - KIND_BEACH_VOLLEYBALL_SERVE
            - KIND_BEACH_VOLLEYBALL_BLOCK
            - KIND_BEACH_VOLLEYBALL_SPIKE
            - KIND_BEACH_VOLLEYBALL_TIMEOUT
            - KIND_BEACH_VOLLEYBALL_SUBSTITUTION
            - KIND_BEACH_VOLLEYBALL_END_OF_SET
            - KIND_BEACH_VOLLEYBALL_END_OF_MATCH
            - KIND_BEACH_HANDBALL_GOAL
            - KIND_BEACH_HANDBALL_FREE_THROW
            - KIND_BEACH_HANDBALL_PENALTY_THROW
            - KIND_BEACH_HANDBALL_THROW_IN
            - KIND_BEACH_HANDBALL_FOUL
            - KIND_BEACH_HANDBALL_YELLOW_CARD
            - KIND_BEACH_HANDBALL_RED_CARD
            - KIND_BEACH_HANDBALL_SUBSTITUTION
            - KIND_BEACH_HANDBALL_KICKOFF
            - KIND_BEACH_HANDBALL_HALF_TIME
            - KIND_BEACH_HANDBALL_FULL_TIME
            - KIND_BEACH_HANDBALL_EXTRA_TIME
            - KIND_BEACH_HANDBALL_OVER_TIME
            - KIND_BEACH_HANDBALL_PENALTY_SHOOTOUT
            - KIND_BEACH_HANDBALL_MATCH_END
          type: string
          description: >-
            An indicator of what kind of annotation this is. This is mainly
            useful so that the system can reason better about
             what this annotation represents. However, this is not a required field, and not all annotation types need to have a
             kind. When possible, it is recommended to provide it.

             This should match the sport as it is configured on the annotation set.
          format: enum
        localized_name:
          type: object
          additionalProperties:
            type: string
          description: >-
            A map of localized names for this annotation type, for end users to
            see. The key is the language code (ISO 639 - set 1), e.g. "en",
            "de", "fr", etc.
             If you want to localize the text for different regions of the same language, you can add the country code (ISO 3166-1 alpha-2), e.g. "en-US", "en-GB", etc.

             Leaving this field empty will default to the `name` field.
      description: >-
        Annotation is an invocation of an annotation type and represents a
        single moment in a video that represents
         an occurrence of that annotation type. For example, if you have an annotation type "goal", then an Annotation could
         created when a goal occurs in the video.
    google.protobuf.Any:
      type: object
      properties:
        '@type':
          type: string
          description: The type of the serialized message.
      additionalProperties: true
      description: >-
        Contains an arbitrary serialized message along with a @type that
        describes the type of the serialized message.
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````